<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  function iniUser ()
  {
    global $DB_PREFIX;
    
    global $CharsUserName;

    $sql = 'CREATE TABLE '.DB_PREFIX.'user
    (
      UserID INTEGER NOT NULL AUTO_INCREMENT,
      UserName CHAR('.$CharsUserName.'),
      UserStatus CHAR(10),
      UserCurrentPassword CHAR(10),
      UserEmailadress CHAR(50),
      UserSession CHAR(32),
      UserLanguage CHAR(32),
      UserLastActivityTimestamp INT,
      UserBackendCalenderListCols TEXT,
      UserRightEmail TINYINT(1),
      UserRightAddNews TINYINT(1),
      UserRightEditNews TINYINT(1),
      UserRightDeleteNews TINYINT(1),
      UserCharsCalenderListFields TINYINT(2),
      UserCharsGuestbookListFields TINYINT(2),
      UserEmailCopyToOwnAdress TINYINT(1),
      UserFirstDayOfWeek CHAR(9),
      PRIMARY KEY (UserID),      
      UNIQUE KEY (UserName)
    ) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_unicode_ci';
    
    if (mysql_query($sql)) { return true; }
    else { return false; }
  }
?>